Package org.apache.uima.flow

# Interface FlowControllerContext

All Superinterfaces:
  `UimaContext`

All Known Implementing Classes:
  `FlowControllerContext_impl`

public interface FlowControllerContext extends UimaContext
A subtype of `UimaContext` used by `FlowController` components. In addition to access to resources and configuration settings (provided by `UimaContext`), the `FlowControllerContext` provides access to other information that the FlowController can use to make routing decisions. This includes:

- A map from AnalysisEngine key to AnalysisEngineMetaData for all AnalysisEngines that the FlowController can route CASes to
- Declared Capabilities of the Aggregate AnalysisEngine containing this FlowController.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AnalysisEngineMetaData`
  `getAggregateMetadata()`
  Gets the metadata of the Aggregate AnalysisEngine containing this FlowController.
  `Map<String,AnalysisEngineMetaData>`
  `getAnalysisEngineMetaDataMap()`
  Gets a map from Analysis Engine key (a String) to `AnalysisEngineMetaData`.

  ### Methods inherited from interface org.apache.uima.UimaContext

  `getConfigParameterNames, getConfigParameterNames, getConfigParameterValue, getConfigParameterValue, getConfigurationGroupNames, getDataPath, getDataPathElements, getEmptyCas, getExternalOverrides, getInstrumentationFacility, getLogger, getResourceAsStream, getResourceAsStream, getResourceFilePath, getResourceFilePath, getResourceObject, getResourceObject, getResourceURI, getResourceURI, getResourceURL, getResourceURL, getSession, getSharedSettingArray, getSharedSettingNames, getSharedSettingValue, getSofaMappings, mapSofaIDToComponentSofaName, mapToSofaID`

- ## Method Details

  - ### getAnalysisEngineMetaDataMap

    Map<String,AnalysisEngineMetaData> getAnalysisEngineMetaDataMap()
    Gets a map from Analysis Engine key (a String) to `AnalysisEngineMetaData`. This map contains an entry for all Analysis Engines to which the FlowController can route CASes.
    Returns:
      a map with `String` keys, and `AnalysisEngineMetaData` values

  - ### getAggregateMetadata

    AnalysisEngineMetaData getAggregateMetadata()
    Gets the metadata of the Aggregate AnalysisEngine containing this FlowController. This includes the specification of the inputs and outputs of the aggregate, which may be useful for some FlowController implementations.
    Returns:
      the Capabilities of the aggregate containing this FlowController.